Subject: [bug#65343] [PATCH] home: services: Add 'x11-display' service.

From: Oleg Pykhalov <[email-masked]>
Date: Fri, 15 Sep 2023 01:39:10 +0300

Ludovic Courtès <[email-masked]> writes:

[…]

> Now, without this service the situation is even worse: shepherd and its
> sub-processes inherit whatever ‘DISPLAY’ value was in its environment,
> if any, and that’s it.  This service is a hack, but might still do more
> good than harm?

Inheriting environment variable is under the user's controll. Finding a
readable file by the user is less (requires to start x11 sessions in a
specific order). By more controll I mean the user could stop Shepherd on
a DISPLAY :0 and start it on DISPLAY :1 without stopping x11 sessions.

In any case, current patch with or without specification of files order
(or ‘herd start x11-display :42’) will change current behaviour. So, I
think a small entry in ‘news.scm’ could save somebody a day.

Regards,
Oleg.